> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/auth

> Get current Identity Provider configuration for enterprise.

## OpenAPI

````json GET /v1/auth
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/auth": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1AuthGetResponse"
                }
              }
            }
          }
        },
        "description": "Get current Identity Provider configuration for enterprise."
      }
    }
  },
  "components": {
    "schemas": {
      "v1AuthGetResponse": {
        "type": "object",
        "properties": {
          "cert": {
            "type": "string",
            "example": "example string"
          },
          "entryPoint": {
            "type": "string",
            "example": "example string"
          },
          "iamType": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "issuer": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

